# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Digest/SHA.pm) perl(Encode.pm) perl(ExtUtils/MakeMaker.pm) perl(File/HomeDir.pm) perl(File/Spec/Functions.pm) perl(HTTP/Request.pm) perl(IO/String.pm) perl(LWP/Protocol/https.pm) perl(LWP/UserAgent.pm) perl(Moose.pm) perl(Moose/Util/TypeConstraints.pm) perl(MooseX/Params/Validate.pm) perl(Net/OAuth2/Moosey/Client.pm) perl(Test/More.pm) perl(Text/CSV.pm) perl(Text/Table.pm) perl(Time/HiRes.pm) perl(Try/Tiny.pm) perl(URL/Encode.pm) perl(YAML.pm) perl(Term/ReadLine.pm)
# END SourceDeps(oneline)
%define module_version 0.10
%define module_name Google-Fusion
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.10
Release: alt1
Summary: Interface to the Google Fusion Tables API
Group: Development/Perl
License: perl
URL: https://github.com/robin13/Google-Fusion

Source0: http://cpan.org.ua/authors/id/R/RC/RCL/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
my $fusion = Google::Fusion->new( 
    client_id_    => $client_id,
    client_secret   => $client_secret,
    token_store_    => $token_store,
    );

  # Get the result for a query
  my $result = $fusion->query( $sql );
  
  # Print out the rows returned
  foreach( @{ $result->rows } ){
      print join( ',', @{ $_ } ) . "\n";
  }

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %module_name


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/G*

%files scripts
%_bindir/*

%changelog
* Tue Oct 15 2013 Igor Vlasenko <viy@altlinux.ru> 0.10-alt1
- initial import by package builder

